#!/bin/bash -ex

# exit on errors
set -eu -o pipefail

ONOS_ROOT=`pwd`
. tools/build/envDefaults

if [ ${GERRIT_BRANCH} == "master" ]
then
    curl -L -o bazel.sh https://github.com/bazelbuild/bazel/releases/download/0.17.1/bazel-0.17.1-installer-linux-x86_64.sh
else
    curl -L -o bazel.sh https://github.com/bazelbuild/bazel/releases/download/0.15.2/bazel-0.15.2-installer-linux-x86_64.sh
fi
chmod +x bazel.sh 
./bazel.sh --user
PATH=$PATH:/home/jenkins/bin

bazel build onos
bazel query "tests(//...)" | SHLVL=1 xargs bazel test --test_summary=terse --test_output=errors
bazel run //:buildifier_check
