#!/bin/bash -ex

# exit on errors
set -eu -o pipefail

# set up ONOS build environment
ONOS_ROOT=`pwd`
. tools/build/envDefaults

curl -L -o bazel.sh https://github.com/bazelbuild/bazel/releases/download/0.15.2/bazel-0.15.2-installer-linux-x86_64.sh
chmod +x bazel.sh 
./bazel.sh --user
PATH=$PATH:/home/jenkins/bin

# import GPG key
gpg --import jenkins.key

# run the verification build
onos-build-and-upload 1.12.0-testbuild 1.12-SNAPSHOT master --dry-run
